using Engine.Input;
using Engine.Resource;
using Engine.Scene;

namespace Engine.Util;

public static class EngineUtil
{
  public static IInputHandler InputHandler => Engine.Instance.InputHandler!;
  public static SceneManager SceneManager => Engine.Instance.SceneManager;
  public static IResourceManager AssetResourceManager => Engine.Instance.AssetResourceManager;
  public static string DataFolder => Engine.Instance.DataFolder;

  public static void CreateObject(GameObject parGameObject)
  {
    var scene = Engine.Instance.SceneManager.CurrentScene!;
    scene.Add(parGameObject);
  }

  public static void Close()
  {
    Engine.Instance.Close();
  }
}